Wireshark ‘dissect_dvbci_tpdu_hdr’函数输入验证漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1166821 漏洞类型 输入验证
发布时间 2013-07-31 更新时间 2013-07-31
CVE编号 CVE-2013-4930 CNNVD-ID CNNVD-201307-592
漏洞平台 N/A CVSS评分 5.0
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201307-592
|漏洞详情
Wireshark(前称Ethereal)是Wireshark团队开发的一套网络数据包分析软件。该软件的功能是截取网络数据包,并显示出详细的数据以供分析。Wireshark1.8.0至1.8.8版本和Wireshark1.10.0版本中的DVB-CI解析器中的epan/dissectors/packet-dvbci.c文件中的‘dissect_dvbci_tpdu_hdr’函数中存在漏洞。该漏洞源于程序没有在特定的长度值递减之前对其进行验证。远程攻击者可通过特制的数据包利用该漏洞造成拒绝服务(声明失败和应用程序退出)。
|参考资料

来源:www.wireshark.org
链接:https://www.wireshark.org/security/wnpa-sec-2013-48.html
来源:bugs.wireshark.org
链接:https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8916
来源:www.wireshark.org
链接:http://www.wireshark.org/docs/relnotes/wireshark-1.8.9.html
来源:www.wireshark.org
链接:http://www.wireshark.org/docs/relnotes/wireshark-1.10.1.html
来源:anonsvn.wireshark.org
链接:http://anonsvn.wireshark.org/viewvc?view=revision&revision=50474
来源:anonsvn.wireshark.org
链接:http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-dvbci.c?r1=50474&r2=50473&pathrev=50474